Name:           mit-scheme-c
Version:        9.2
Release:        1%{?dist}
Summary:        MIT/GNU Scheme C-Implementation

License:        GPLv2+
URL:            https://www.gnu.org/software/mit-scheme/
Source0:        http://ftp.gnu.org/gnu/mit-scheme/stable.pkg/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  texinfo-tex
# Requires:

%description
MIT/GNU Scheme is an implementation of the Scheme programming language,
providing an interpreter, compiler, source-code debugger, integrated Emacs-like
editor, and a large runtime library. MIT/GNU Scheme is best suited to
programming large applications with a rapid development cycle.

%package        -n %{name}-docs
Summary:        MIT/GNU Scheme C-Implementation Docs
License:        FDLv1.3

%description    -n %{name}-docs
Documentation for MIT/GNU Scheme.

%prep
%autosetup

%build
pushd src
export CFLAGS=${optflags}
%{_configure} --prefix=`pwd`/boot-root --enable-native-code=c --disable-host-scheme-test
%{__make} stamp_install-liarc-boot-compiler c-clean distclean
%configure --enable-native-code=c --disable-host-scheme-test
%{__make} stamp_compile-liarc-bundles build-bands clean-boot-root
popd

pushd doc
%configure
%{__make}
popd

%install
pushd src
%make_install
sed -i "s|%{buildroot}||g" %{buildroot}%{_libdir}/%{name}/all.com
popd

pushd doc
%make_install
mkdir -p %{buildroot}%{_docdir}
mv %{buildroot}%{_libdir}/mit-scheme/doc %{buildroot}%{_docdir}/%{name}
rm %{buildroot}%{_infodir}/dir
popd

%files
%license src/COPYING
%doc changelog.txt src/README.txt
%{_libdir}/%{name}/*
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man1/*

%files -n %{name}-docs
%{_docdir}/%{name}/*

%changelog
* Sun Apr  2 2017 Dennis Chen <barracks510@gmail.com>
-
